Query store transaction records
GET https://{handle}.myshopline.com/admin/openapi/v20260601/payments/store/transactions.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Query a store's transaction records, including records of payments, refunds, and disputes.
Query Parameters
- status stringTransaction status.When
transaction_typeisPAYMENT, the valid values are:CREATED: The transaction has been initiated.CUSTOMER_ACTION: The transaction is pending customer action, such as confirmation or payment.PROCESSING: The SHOPLINE Payments system is processing the transaction internally.SUCCEEDED: The transaction was completed successfully.FAILED: The transaction failed.CANCELED: The transaction has been canceled.EXPIRED: The transaction expired due to inactivity or time limits.
Whentransaction_typeisREFUND, the valid values are:CREATED: The refund has been initiated.PROCESSING: The SHOPLINE Payments system is processing the transaction internally.SUCCEEDED: The refund was completed successfully.FAILED: The refund failed.
Whentransaction_typeisDISPUTEanddispute_typeisCHARGEBACKandstageisCHARGEBACK, the valid values are:CREATED: The dispute has been initiated.EVIDENCE_RETURNED: Evidence submitted by the merchant was returned due to being incomplete or insufficient. The merchant needs to resubmit evidence.EVIDENCE_REQUIRED: SHOPLINE Payments requests additional evidence from the merchant.MERCHANT_SUBMITTED: The merchant has submitted evidence for review.RESOLVED: The dispute is resolved but requires further action to determine the final outcome (eitherWONorLOST).CANCELED: The dispute was canceled, likely leading to aWONoutcome for the merchant.EVIDENCE_UNDER_REVIEW: SHOPLINE Payments is reviewing the evidence submitted by the merchant.LOST: The dispute was resolved in favor of the customer, with funds being returned to the customer.WON: The dispute was resolved in favor of the merchant. Merchant retains funds.EXPIRED: The dispute expired due to inactivity. This likely leads to aLOSToutcome for the merchant.SLP_EXPIRED: The merchant failed to provide evidence within the allotted time. This likely results in anEXPIREDdispute.ACCEPTED: The merchant's dispute acceptance has been submitted to the card association. This leads to aLOSToutcome for the merchant.MERCHANT_ACCEPTED: The merchant's dispute acceptance is pending submission to the card association. This leads to anACCEPTEDoutcome for the customer.
Whentransaction_typeisDISPUTEanddispute_typeisCHARGEBACKandstageisPRE_ARBITRATION, the valid values are:CREATED:The pre-arbitration has been initiated.EVIDENCE_RETURNED: Evidence submitted by the merchant was returned due to being incomplete or insufficient. The merchant needs to resubmit evidence.EVIDENCE_REQUIRED: SHOPLINE Payments requests additional evidence from the merchant.MERCHANT_SUBMITTED: The merchant has submitted evidence for review.EVIDENCE_UNDER_REVIEW: SHOPLINE Payments is reviewing the evidence submitted by the merchant.LOST: The dispute was resolved in favor of the customer, with funds being returned to the customer.WON: The dispute was resolved in favor of the merchant. Merchant retains funds.SLP_EXPIRED: The merchant failed to provide evidence within the allotted time. This likely results in anLOSTdispute.MERCHANT_ACCEPTED: The merchant's dispute acceptance is pending submission to the card association. This leads to anLOSToutcome for the customer.
Whentransaction_typeisDISPUTEanddispute_typeisCHARGEBACKandstageisARBITRATION, the valid values are:CREATED:The arbitration has been initiated.EVIDENCE_UNDER_REVIEW: SHOPLINE Payments is reviewing the evidence submitted by the merchant.LOST: The dispute was resolved in favor of the customer, with funds being returned to the customer.WON: The dispute was resolved in favor of the merchant. Merchant retains funds.
Whentransaction_typeisDISPUTEanddispute_typeisPRE_CHARGEBACK, the valid values are:PRE_CHARGEBACK_CREATED: A pre-chargeback has been initiated. Per the regulations of some card schemes, the system will not issue an automatic refund. The merchant needs to decide whether to accept or reject the refund request.PRE_CHARGEBACK_IN_ACCEPT: This is an intermediate status indicating the merchant has accepted the refund, either manually or through an automated rule. It will progress toPRE_CHARGEBACK_ACCEPTED.PRE_CHARGEBACK_IN_REJECT: This is an intermediate status where the merchant has chosen to reject the refund request. It will progress toPRE_CHARGEBACK_REJECTED.PRE_CHARGEBACK_IN_EXPIRE: This is an intermediate status where the merchant did not respond to the pre-chargeback within the allotted time. The case will be automatically resolved as eitherPRE_CHARGEBACK_ACCEPTEDorPRE_CHARGEBACK_REJECTEDbased on predefined rules.PRE_CHARGEBACK_ACCEPTED: The merchant accepted the pre-chargeback and initiated a refund. This is a terminal status.PRE_CHARGEBACK_REJECTED: The merchant rejected the pre-chargeback, potentially leading to further action, such as a chargeback. This is a terminal status.
Whentransaction_typeisDISPUTEanddispute_typeisRETRIEVAL, the valid values are:RETRIEVAL_CREATED: A retrieval request has been submitted.RETRIEVAL_FINISHED: The retrieval was completed successfully.RETRIEVAL_CANCELED: The retrieval request was canceled.
Whentransaction_typeisDISPUTEanddispute_typeisFRAUD_NOTIFICATION, the valid value is:FRAUD_FINISHED: Notification of potential fraudulent activity. The merchant should hold the shipment and contact the customer to verify the order, and consider issuing a refund to avoid a future chargeback.
Example:SUCCEEDED - date_max stringSpecify the cut-off creation date and time for transactions to query, transactions created before this date and time are returned. The
date_minanddate_maxparameters must be specified at the same time, and the maximum time interval betweendate_minanddate_maxcannot exceed 6 months. Format: ISO 8601.Example:2024-12-10T00:00:00+08:00 - limit stringMaximum number of transaction records to be returned in the query. The maximum number cannot exceed
1000. Default value:100. - page_info stringThe unique identifier for pagination queries, used to locate a specific page.This parameter value is obtained from the
linkvalue in the response header of this API after you have queried the pagination information.For example, if thelinkvalue you obtained is<https://{handle}.myshopline.com/admin/openapi/{version}/payments/store/transactions.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next", the value ofpage_infoiseyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9.For more information on how to use pagination, refer to Paging Mechanism. - trade_order_id stringThe unique identifier for a payment, refund, or dispute. Precisely search for information on the specified order number.Example:
10020122431667364394911580160 - transaction_type stringTransaction type. Valid values are:
PAYMENT: payment transactionREFUND: refund transactionDISPUTE: dispute transaction
- date_min stringSpecify the start creation date and time for transactions to query, transactions created on or after this date and time are returned. The
date_minanddate_maxparameters must be specified at the same time, and the maximum time interval betweendate_minanddate_maxcannot exceed 6 months.date_mincan only be specified to query transactions created within 12 months. Format: ISO 8601.Example:2024-12-10T00:00:00+08:00 - since_id stringThe unique identifier for a payment, refund, or dispute. Filter transaction records that occurred before this order number for the
since_idmode (query the first page of data). For more information on how to use pagination, refer to Paging Mechanism.Example:10020122431667364394911580160
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
link
The URL link that provides the pagination data. You can obtainpage_infofrom this parameter for subsequent pagination requests.This parameter is returned when the requested page has a previous or next page.For more information on how to use pagination, refer to Paging Mechanism.traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
transactionsobject[]
Transaction list.additional_dataobject
Additional information.arbitration_fee stringThe fee incurred during the arbitration stage of a chargeback. This field only has a value whendispute_typeisCHARGEBACKand the chargeback has gone through theARBITRATIONstage.dispute_evidence_update_deadline stringDeadline for merchant to submit evidence. Format: ISO 8601.is_settled booleanWhether the transaction has been settled.true: settledfalse: to be settled
Example:trueprearbitration_fee stringThe fee incurred during the pre-arbitration stage of a chargeback. This field only has a value whendispute_typeisCHARGEBACKand the chargeback has gone through thePRE_ARBITRATIONstage.reserve_held stringReserved funds. SHOPLINE Payments may charge a certain reserve for payment orders and will transfer it into the merchant's account balance after the holding period ends. Rounded to 2 decimal places.Example:1.23reserve_release_time stringRelease time of reserved funds, the time when SHOPLINE Payments transfers the reserved funds into the merchant's account balance. Format: ISO 8601.Example:2024-12-10T00:00:00+08:00statement_time stringConsolidated statement generation time. Format: ISO 8601.amount stringTransaction amount. Rounded to 2 decimal places.Example:10.10channel_deal_id stringThe serial number for the payment channel used by SHOPLINE Payments to process transactions.Example:Z237HWV6LT7QCWX3create_time stringTransaction order creation time. Format: ISO 8601.Example:2024-12-09T00:00:00+08:00credit_cardobject
Credit card information. This field is returned when the value ofpayment_methodisCreditCard,Applepay, orGooglepay.auth_code stringAuthorization code. The authorization code is a unique code generated by the issuing bank to indicate that the transaction has been approved.Example:123456bin stringCard BIN.Example:48068133brand stringCard brand.Example:Visaissuer_country stringCard issuing country.Example:USlast4 stringLast four digits of card number.Example:1234type stringCard type.Example:CREDITcurrency stringTransaction currency. The value of this parameter is a three-letter currency code that follows the ISO 4217 standard. Example:USD.Example:USDcustomerobject
Customer information.personal_infoobject
Customer identity information.first_name stringCustomer's first name.Example:demolast_name stringCustomer's last name.Example:paymentdispute_type stringThis field is returned whentransaction_typeisDISPUTE. Valid values are:CHARGEBACK: A customer disputed the transaction with their bank, resulting in a reversal of funds.PRE_CHARGEBACK: This signifies a preliminary stage before a full chargeback. The issuing bank is investigating the dispute.RETRIEVAL: The acquirer requests additional information from the merchant regarding the transaction.FRAUD_NOTIFICATION: This indicates a notification of potential fraudulent activity related to the transaction.
Example:CHARGEBACKexchangeobject
Foreign exchange information.amount stringThe amount of foreign exchange based on the actual payment amount, rounded to 2 decimal places.Example:10.10currency stringExchange currency. The value of this parameter is a three-letter currency code that follows the ISO 4217 standard. Example:USD.Example:USDrate stringExchange rate, in the format oftransaction currency/exchange currency @rate. The rate is rounded to 10 decimal places.Example:USD/USD @1.0000000000fee stringTransaction fees. If SHOPLINE Payments charges a fee to the merchant, this field is displayed as a negative amount. If SHOPLINE Payments refunds a fee to the merchant, this field is displayed as a positive amount.Example:-0.22fee_type stringFee type. Valid values are:domestic: Local transaction fee, the fee for accepting domestic bank card transactions.international: Cross-border transaction fee, the fee for accepting foreign bank card transactions.
Example:internationalmerchant_id stringMerchant’s ID in SHOPLINE Payments.Example:2143350491097202688paid_amount stringActual payment amount, rounded to 2 decimal places.Example:10.10payment_method stringPayment method.Example:ApplePaypayment_method_optionobject
Optional information for payment method.installmentobject
Installment information of payment method.count stringNumber of installments.Example:12payment_msgobject
Payment failure information. Whentransaction_typeisPAYMENTorREFUND, and the status isFAILED, this field is returned.code stringError code.Example:The payment has been declined for unspecificed reasons.msg stringError description.Example:4600reason stringThe reason of refund or dispute. Whentransaction_typeisDISPUTEanddispute_typeisCHARGEBACK, the valid values are:fraudulent: The transaction was fraudulent.unrecognized: The transaction is suspicious.duplicate: The customer was charged twice for the same item or service.subscription_canceled: The customer canceled a subscription but was still billed.product_not_received: The customer did not receive the purchased product.product_unacceptable: The customer received the product but was dissatisfied with it.credit_not_processed: The customer was promised a refund but never received it.general: Other reasons.
Whentransaction_typeisDISPUTEanddispute_typeisPRE_CHARGEBACK,RETRIEVAL, orFRAUD_NOTIFICATION, this field value can be any string.Whentransaction_typeisREFUND, this field value can be any string.Whentransaction_typeisPAYMENT, the reason field is empty.seller_order_id stringBusiness order number.Example:123456stage stringThe current stage of the dispute. This field only has a value whentransaction_typeisDISPUTEanddispute_typeisCHARGEBACK, the valid values are:CHARGEBACK: Chargeback stage.PRE_ARBITRATION: Pre-arbitration stage.ARBITRATION: Arbitration stage.
stage_final_amount stringThe final disputed amount. This field will be updated if the disputed amount changes at the final state of each stage.status stringTransaction status. For specific values of this field, refer to the description of thestatusfield in the query parameters.Example:SUCCEEDEDsub_payment_method stringPayment sub-methods are detailed classifications ofpayment_method, and only some payment methods have sub-methods. For example, the payment methodAlipayincludes the sub-methodsAlipayQrCodeandAlipayWap.sub_status stringTransaction sub-statuses are detailed classifications of thestatus, and only some transaction statuses have sub-statuses.Whenstatus=FAILED, the valid values are:CONFIRM_FAILED: An exception occurred during theCONFIRMphase of the transaction.CAPTURE_FAILED: An exception occurred during theCAPTUREphase of the transaction.PAYMENT_FAILED: An exception occurred during thePAYMENTphase of the transaction.RISK_REJECTED: The transaction was rejected due to risk control reasons.
trade_order_id stringThe unique identifier for a payment, refund, or dispute.Example:10010062529029006852253184000transaction_type stringTransaction type. Valid values are:PAYMENT: payment transactionREFUND: refund transactionDISPUTE: dispute transaction
update_time stringTransaction detail update time. Format: ISO 8601. Updates include changes to transaction status and settlement information.Example:2024-12-09T01:00:00+08:00
API Explorer
Debugger
Was this article helpful to you?